STAGIT-INDEX(1)

NAME
stagit-index - static git index page generator

SYNOPSIS
stagit-index [repodir...]

DESCRIPTION
stagit-index will create an index HTML page for the repositories specified and writes the HTML data to stdout. The repos in the index are in the same order as the arguments repodir specified.

The basename of the directory is used as the repository name. The suffix ".git" is removed from the basename, this suffix is commonly used for "bare" repos.

The content of the follow files specifies the meta data for each repository:

.git/description or description (bare repos).
    description

.git/owner or owner (bare repo).
    owner of repository

For changing the style of the page you can use the following files:

favicon.png
    favicon image.

logo.png
    32x32 logo.

style.css
    CSS stylesheet.

EXAMPLES

    cd htmlroot
    stagit-index path/to/gitrepo1 path/to/gitrepo2 > index.html

SEE ALSO
stagit(1)

AUTHORS
Hiltjo Posthuma <hiltjo@codemadness.org>